> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get a service's CI runs

GET https://api.getpostman.com/api-catalog/services/{serviceId}/ci-runs

Gets a paginated list of CI collection runs for a service that includes summary statistics, pipeline details, and Git metadata.

Reference: https://learning.postman.com/api-docs/api-reference/api-catalog/get-api-catalog-service-ci-runs

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /api-catalog/services/{serviceId}/ci-runs:
    get:
      operationId: getApiCatalogServiceCiRuns
      summary: Get a service's CI runs
      description: >-
        Gets a paginated list of CI collection runs for a service that includes
        summary statistics, pipeline details, and Git metadata.
      tags:
        - apiCatalog
      parameters:
        - name: serviceId
          in: path
          description: The service's ID.
          required: true
          schema:
            $ref: '#/components/schemas/serviceId'
        - name: systemEnvironmentId
          in: query
          description: The system environment's ID.
          required: true
          schema:
            $ref: '#/components/schemas/systemEnvironmentId'
        - name: collectionId
          in: query
          description: Filter results to only the given collection ID's runs.
          required: false
          schema:
            $ref: '#/components/schemas/collectionUid'
        - name: environmentId
          in: query
          description: Filter results to only the given environment ID runs.
          required: false
          schema:
            $ref: '#/components/schemas/environmentId'
        - name: status
          in: query
          description: Filter results by run status.
          required: false
          schema:
            $ref: '#/components/schemas/apiCatalogServiceStatusFilter'
        - name: branch
          in: query
          description: Filter results by the given Git branch name.
          required: false
          schema:
            $ref: '#/components/schemas/apiCatalogServiceBranchFilter'
        - name: workflowName
          in: query
          description: Filter results by the given CI workflow name.
          required: false
          schema:
            $ref: '#/components/schemas/apiCatalogServiceWorkflowNameFilter'
        - name: actor
          in: query
          description: Filter results by the given CI user that triggered the run.
          required: false
          schema:
            $ref: '#/components/schemas/apiCatalogServiceActorFilter'
        - name: repoName
          in: query
          description: Filter results by the given repository name.
          required: false
          schema:
            $ref: '#/components/schemas/apiCatalogServiceRepoNameFilter'
        - name: repoOwner
          in: query
          description: Filter results by the given repository owner.
          required: false
          schema:
            $ref: '#/components/schemas/apiCatalogServiceRepoOwnerFilter'
        - name: sort
          in: query
          description: >-
            Sort the results in field:direction order format. Accepts the
            `timestamp` and `duration` fields. Supports the `asc` and `desc`
            directions.
          required: false
          schema:
            $ref: '#/components/schemas/apiCatalogServiceSortCiFilter'
        - name: limit
          in: query
          description: >-
            The maximum number of rows to return in the response, up to a
            maximum value of 100. Any value greater than 100 returns a 400 Bad
            Request response.
          required: false
          schema:
            $ref: '#/components/schemas/limitDefault20'
            default: 20
        - name: cursor
          in: query
          description: >-
            The pointer to the first record of the set of paginated results. To
            view the next response, use the `nextCursor` value for this
            parameter.
          required: false
          schema:
            $ref: '#/components/schemas/cursor'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getApiCatalogServiceCiRuns'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiCatalogError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetApiCatalogServiceCiRunsRequestInternalServerError
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    serviceId:
      type: string
      title: serviceId
    systemEnvironmentId:
      type: string
      title: systemEnvironmentId
    collectionUid:
      type: string
      format: uid
      title: collectionUid
    environmentId:
      type: string
      title: environmentId
    apiCatalogServiceStatusFilter:
      type: string
      enum:
        - passed
        - failed
      title: apiCatalogServiceStatusFilter
    apiCatalogServiceBranchFilter:
      type: string
      title: apiCatalogServiceBranchFilter
    apiCatalogServiceWorkflowNameFilter:
      type: string
      title: apiCatalogServiceWorkflowNameFilter
    apiCatalogServiceActorFilter:
      type: string
      title: apiCatalogServiceActorFilter
    apiCatalogServiceRepoNameFilter:
      type: string
      title: apiCatalogServiceRepoNameFilter
    apiCatalogServiceRepoOwnerFilter:
      type: string
      title: apiCatalogServiceRepoOwnerFilter
    apiCatalogServiceSortCiFilter:
      type: string
      title: apiCatalogServiceSortCiFilter
    limitDefault20:
      type: integer
      default: 20
      title: limitDefault20
    cursor:
      type: string
      title: cursor
    apiCatalogServiceMetadataNextCursorData:
      type: string
      description: The pagination cursor that points to the next record in the results set.
      title: apiCatalogServiceMetadataNextCursorData
    apiCatalogServiceMetadataLimitData:
      type: integer
      description: The maximum number of records in the paginated response.
      title: apiCatalogServiceMetadataLimitData
    apiCatalogServiceMetadataFiltersData:
      type: object
      properties: {}
      description: The filters applied to the request.
      title: apiCatalogServiceMetadataFiltersData
    ApiCatalogServiceMetadataTimeRangeDataLabel:
      type: string
      enum:
        - last_7_days
      description: The time range's label.
      title: ApiCatalogServiceMetadataTimeRangeDataLabel
    apiCatalogServiceMetadataTimeRangeData:
      type: object
      properties:
        start:
          type: string
          format: date-time
          description: The start of the time window.
        end:
          type: string
          format: date-time
          description: The end of the time window.
        label:
          $ref: '#/components/schemas/ApiCatalogServiceMetadataTimeRangeDataLabel'
          description: The time range's label.
      required:
        - start
        - end
        - label
      description: The time window for the returned data.
      title: apiCatalogServiceMetadataTimeRangeData
    apiCatalogServiceMetadataTotalRunsData:
      type: integer
      description: The total number of runs that match the given filters.
      title: apiCatalogServiceMetadataTotalRunsData
    apiCatalogServiceMetadataPassedRunsData:
      type: integer
      description: The number of successful runs.
      title: apiCatalogServiceMetadataPassedRunsData
    apiCatalogServiceMetadataFailedRunsData:
      type: integer
      description: The number of runs with at least one failure.
      title: apiCatalogServiceMetadataFailedRunsData
    apiCatalogServiceMetadataSuccessRatePctData:
      type: number
      format: double
      description: The percentage of runs that passed, rounded to two decimal places.
      title: apiCatalogServiceMetadataSuccessRatePctData
    GetApiCatalogServiceCiRunsMeta:
      type: object
      properties:
        nextCursor:
          $ref: '#/components/schemas/apiCatalogServiceMetadataNextCursorData'
        limit:
          $ref: '#/components/schemas/apiCatalogServiceMetadataLimitData'
        filters:
          $ref: '#/components/schemas/apiCatalogServiceMetadataFiltersData'
        timeRange:
          $ref: '#/components/schemas/apiCatalogServiceMetadataTimeRangeData'
        totalRuns:
          $ref: '#/components/schemas/apiCatalogServiceMetadataTotalRunsData'
        passedRuns:
          $ref: '#/components/schemas/apiCatalogServiceMetadataPassedRunsData'
        failedRuns:
          $ref: '#/components/schemas/apiCatalogServiceMetadataFailedRunsData'
        successRatePct:
          $ref: '#/components/schemas/apiCatalogServiceMetadataSuccessRatePctData'
      required:
        - nextCursor
        - limit
        - filters
        - timeRange
        - totalRuns
        - passedRuns
        - failedRuns
        - successRatePct
      description: The response's meta information for paginated results.
      title: GetApiCatalogServiceCiRunsMeta
    GetApiCatalogServiceCiRunsDataItemsStatus:
      type: string
      enum:
        - passed
        - failed
      description: Whether the CI run passed or failed.
      title: GetApiCatalogServiceCiRunsDataItemsStatus
    apiCatalogServiceCollectionData:
      type: object
      properties:
        id:
          type: string
          description: The collection's ID.
        name:
          type:
            - string
            - 'null'
          description: >-
            The collection's name. If the collection was deleted, this returns a
            null value.
      required:
        - id
        - name
      description: Information about the collection.
      title: apiCatalogServiceCollectionData
    apiCatalogServiceEnvironmentData:
      type: object
      properties:
        id:
          type: string
          description: The environment's ID.
        name:
          type:
            - string
            - 'null'
          description: >-
            The environment's name. If the environment was deleted, this returns
            a null value.
      required:
        - id
        - name
      description: Information about the environment.
      title: apiCatalogServiceEnvironmentData
    GetApiCatalogServiceCiRunsDataItemsSourceRepo:
      type: object
      properties:
        name:
          type:
            - string
            - 'null'
          description: The repository's name.
        owner:
          type:
            - string
            - 'null'
          description: The repository owner or organization.
        url:
          type:
            - string
            - 'null'
          format: uri
          description: The repository's URL.
      required:
        - name
        - owner
        - url
      description: Information about the source repository.
      title: GetApiCatalogServiceCiRunsDataItemsSourceRepo
    GetApiCatalogServiceCiRunsDataItemsSourcePullRequest:
      type: object
      properties:
        number:
          type: integer
          description: The pull request number.
        title:
          type:
            - string
            - 'null'
          description: The pull request's title.
        status:
          type:
            - string
            - 'null'
          description: The pull request's status.
        author:
          type:
            - string
            - 'null'
          description: The author of the pull request.
        baseBranch:
          type:
            - string
            - 'null'
          description: The target branch of the pull request.
        headBranch:
          type:
            - string
            - 'null'
          description: The pull request's source branch.
      required:
        - number
        - title
        - status
        - author
        - baseBranch
        - headBranch
      description: >-
        Information about the pull request. This returns null if the run wasn't
        triggered by a pull request.
      title: GetApiCatalogServiceCiRunsDataItemsSourcePullRequest
    GetApiCatalogServiceCiRunsDataItemsSource:
      type: object
      properties:
        branch:
          type:
            - string
            - 'null'
          description: The Git branch's name.
        commitSha:
          type:
            - string
            - 'null'
          description: The full Git commit SHA.
        repo:
          $ref: '#/components/schemas/GetApiCatalogServiceCiRunsDataItemsSourceRepo'
          description: Information about the source repository.
        pullRequest:
          oneOf:
            - $ref: >-
                #/components/schemas/GetApiCatalogServiceCiRunsDataItemsSourcePullRequest
            - type: 'null'
          description: >-
            Information about the pull request. This returns null if the run
            wasn't triggered by a pull request.
      required:
        - branch
        - commitSha
        - repo
        - pullRequest
      description: Information about the Git source control for the CI run.
      title: GetApiCatalogServiceCiRunsDataItemsSource
    GetApiCatalogServiceCiRunsDataItemsPipeline:
      type: object
      properties:
        provider:
          type:
            - string
            - 'null'
          description: The CI provider.
        workflowName:
          type:
            - string
            - 'null'
          description: The workflow or pipeline name.
        workflowId:
          type:
            - string
            - 'null'
          description: The workflow ID.
        jobName:
          type:
            - string
            - 'null'
          description: The job name in the workflow.
        jobId:
          type:
            - string
            - 'null'
          description: The job's ID.
        pipelineId:
          type:
            - string
            - 'null'
          description: The pipeline run's ID.
        pipelineNumber:
          type:
            - string
            - 'null'
          description: The pipeline run number.
        runAttempt:
          type:
            - integer
            - 'null'
          description: The attempt number for this run.
        actor:
          type:
            - string
            - 'null'
          description: The user or bot that triggered the run.
      required:
        - provider
        - workflowName
        - workflowId
        - jobName
        - jobId
        - pipelineId
        - pipelineNumber
        - runAttempt
        - actor
      description: Information about the CI/CD pipeline.
      title: GetApiCatalogServiceCiRunsDataItemsPipeline
    GetApiCatalogServiceCiRunsDataItemsExecutionSystem:
      type: object
      properties:
        os:
          type: string
          description: The operating system and kernel version.
        cpus:
          type: integer
          description: The number of CPU cores.
        memoryMb:
          type: integer
          description: The available memory, in megabytes.
      description: >-
        The system information about the execution run. This returns as null if
        unavailable.
      title: GetApiCatalogServiceCiRunsDataItemsExecutionSystem
    GetApiCatalogServiceCiRunsDataItemsExecution:
      type: object
      properties:
        cliVersion:
          type:
            - string
            - 'null'
          description: The Postman CLI version.
        system:
          $ref: >-
            #/components/schemas/GetApiCatalogServiceCiRunsDataItemsExecutionSystem
          description: >-
            The system information about the execution run. This returns as null
            if unavailable.
      required:
        - cliVersion
        - system
      description: Information about the environment run.
      title: GetApiCatalogServiceCiRunsDataItemsExecution
    GetApiCatalogServiceCiRunsDataItemsSummary:
      type: object
      properties:
        totalRequests:
          type: integer
          description: The total number of HTTP requests executed in the run.
        failedRequests:
          type: integer
          description: The number of requests that failed.
        totalAssertions:
          type: integer
          description: The total number of test assertions evaluated.
        failedAssertions:
          type: integer
          description: The number of failed assertions.
        durationMs:
          type: integer
          description: Total execution duration in milliseconds.
      required:
        - totalRequests
        - failedRequests
        - totalAssertions
        - failedAssertions
        - durationMs
      description: Information about the CI run.
      title: GetApiCatalogServiceCiRunsDataItemsSummary
    apiCatalogServicePerformanceData:
      type: object
      properties:
        minResponseMs:
          type: number
          format: double
          description: The fastest individual response time, in milliseconds.
        maxResponseMs:
          type: number
          format: double
          description: The slowest individual response time, in milliseconds.
      required:
        - minResponseMs
        - maxResponseMs
      description: >-
        Information about the response time range across all requests in the
        run.
      title: apiCatalogServicePerformanceData
    GetApiCatalogServiceCiRunsDataItems:
      type: object
      properties:
        id:
          type: string
          description: The CI run's ID.
        status:
          $ref: '#/components/schemas/GetApiCatalogServiceCiRunsDataItemsStatus'
          description: Whether the CI run passed or failed.
        timestamp:
          type: string
          format: date-time
          description: The date and time at which the run completed.
        collection:
          $ref: '#/components/schemas/apiCatalogServiceCollectionData'
        environment:
          $ref: '#/components/schemas/apiCatalogServiceEnvironmentData'
        source:
          $ref: '#/components/schemas/GetApiCatalogServiceCiRunsDataItemsSource'
          description: Information about the Git source control for the CI run.
        pipeline:
          $ref: '#/components/schemas/GetApiCatalogServiceCiRunsDataItemsPipeline'
          description: Information about the CI/CD pipeline.
        execution:
          oneOf:
            - $ref: >-
                #/components/schemas/GetApiCatalogServiceCiRunsDataItemsExecution
            - type: 'null'
          description: Information about the environment run.
        summary:
          $ref: '#/components/schemas/GetApiCatalogServiceCiRunsDataItemsSummary'
          description: Information about the CI run.
        performance:
          $ref: '#/components/schemas/apiCatalogServicePerformanceData'
      required:
        - id
        - status
        - timestamp
        - collection
        - environment
        - source
        - pipeline
        - execution
        - summary
        - performance
      title: GetApiCatalogServiceCiRunsDataItems
    getApiCatalogServiceCiRuns:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/GetApiCatalogServiceCiRunsMeta'
          description: The response's meta information for paginated results.
        data:
          type: array
          items:
            $ref: '#/components/schemas/GetApiCatalogServiceCiRunsDataItems'
          description: A list of CI collection runs.
      required:
        - meta
        - data
      title: getApiCatalogServiceCiRuns
    apiCatalogErrorPathMessage:
      type: object
      properties:
        path:
          type: string
          description: The path in which the error occurred.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: apiCatalogErrorPathMessage
    apiCatalogError:
      type: object
      properties:
        type:
          type: string
          format: uri
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: An explanation about the problem.
        errors:
          type: array
          items:
            $ref: '#/components/schemas/apiCatalogErrorPathMessage'
          description: A list of errors.
      title: apiCatalogError
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetApiCatalogServiceCiRunsRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetApiCatalogServiceCiRunsRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "meta": {
    "nextCursor": null,
    "limit": 20,
    "filters": {
      "systemEnvironmentId": "23b554c1-c30c-483d-bf98-dbe9ab7b88a0"
    },
    "timeRange": {
      "start": "2026-04-14T15:05:48.296Z",
      "end": "2026-04-21T15:05:48.296Z",
      "label": "last_7_days"
    },
    "totalRuns": 7,
    "passedRuns": 4,
    "failedRuns": 3,
    "successRatePct": 57.14
  },
  "data": [
    {
      "id": "27ace2f7-5130-4405-8489-5ce1ebee322e",
      "status": "passed",
      "timestamp": "2026-04-16T03:56:54.372Z",
      "collection": {
        "id": "12345678-528df970-ceec-45a5-9f72-187ea19ff53b",
        "name": "[PROD] API Control Service"
      },
      "environment": {
        "id": "9b83df88-9b5c-445b-ac23-460c37897340",
        "name": "[PROD] API Control Service"
      },
      "source": {
        "branch": "develop",
        "commitSha": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2",
        "repo": {
          "name": "acs-catalog",
          "owner": "acs-team",
          "url": "https://github.com/acs-team/acs-catalog"
        },
        "pullRequest": null
      },
      "pipeline": {
        "provider": "github-actions",
        "workflowName": "E2E Tests",
        "workflowId": "30001",
        "jobName": "run-tests",
        "jobId": null,
        "pipelineId": "30001",
        "pipelineNumber": "100",
        "runAttempt": 1,
        "actor": "deploy-bot"
      },
      "execution": {
        "cliVersion": "1.29.5",
        "system": {
          "os": "linux 6.12.46-66.121.amzn2023.aarch64",
          "cpus": 8,
          "memoryMb": 31492
        }
      },
      "summary": {
        "totalRequests": 29,
        "failedRequests": 0,
        "totalAssertions": 97,
        "failedAssertions": 0,
        "durationMs": 12268
      },
      "performance": {
        "minResponseMs": 305.3381669999999,
        "maxResponseMs": 1951.075459
      }
    },
    {
      "id": "c23b8c02-540e-4428-8de7-5bb3db0d88e5",
      "status": "failed",
      "timestamp": "2026-04-16T03:56:37.757Z",
      "collection": {
        "id": "12345678-528df970-ceec-45a5-9f72-187ea19ff53b",
        "name": "[E2E] Access Control Service #E2ETesting"
      },
      "environment": {
        "id": "9b83df88-9b5c-445b-ac23-460c37897340",
        "name": "[PROD] API Control Service"
      },
      "source": {
        "branch": "feature/add-auth",
        "commitSha": "b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3",
        "repo": {
          "name": "api-catalog-service",
          "owner": "acs-team",
          "url": "https://github.com/acs-team/api-catalog-service"
        },
        "pullRequest": {
          "number": 42,
          "title": "Add OAuth2 authentication",
          "status": "open",
          "author": "john-dev",
          "baseBranch": "develop",
          "headBranch": "feature/add-auth"
        }
      },
      "pipeline": {
        "provider": "github-actions",
        "workflowName": "E2E Tests",
        "workflowId": "30002",
        "jobName": "run-tests",
        "jobId": null,
        "pipelineId": "30002",
        "pipelineNumber": "101",
        "runAttempt": 1,
        "actor": "john-dev"
      },
      "execution": {
        "cliVersion": "1.29.5",
        "system": {
          "os": "linux 5.15.0-1051-aws",
          "cpus": 4,
          "memoryMb": 15746
        }
      },
      "summary": {
        "totalRequests": 29,
        "failedRequests": 0,
        "totalAssertions": 97,
        "failedAssertions": 1,
        "durationMs": 12341
      },
      "performance": {
        "minResponseMs": 303.39554099999987,
        "maxResponseMs": 1959.3894169999999
      }
    },
    {
      "id": "661b381f-1a7a-4e00-a9f6-0458ce77ecb1",
      "status": "failed",
      "timestamp": "2026-04-16T03:56:05.307Z",
      "collection": {
        "id": "12345678-528df970-ceec-45a5-9f72-187ea19ff53b",
        "name": "[PROD] API Control Service"
      },
      "environment": {
        "id": "9b83df88-9b5c-445b-ac23-460c37897340",
        "name": "[PROD] API Control Service"
      },
      "source": {
        "branch": "feature/add-auth",
        "commitSha": "c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
        "repo": {
          "name": "acs-catalog",
          "owner": "acs-team",
          "url": "https://github.com/acs-team/acs-catalog"
        },
        "pullRequest": {
          "number": 42,
          "title": "Add OAuth2 authentication",
          "status": "open",
          "author": "john-dev",
          "baseBranch": "develop",
          "headBranch": "feature/add-auth"
        }
      },
      "pipeline": {
        "provider": "github-actions",
        "workflowName": "E2E Tests",
        "workflowId": "30003",
        "jobName": "run-tests",
        "jobId": null,
        "pipelineId": "30003",
        "pipelineNumber": "102",
        "runAttempt": 2,
        "actor": "john-dev"
      },
      "execution": {
        "cliVersion": "1.29.5",
        "system": {
          "os": "linux 5.15.0-1051-aws",
          "cpus": 4,
          "memoryMb": 15746
        }
      },
      "summary": {
        "totalRequests": 29,
        "failedRequests": 0,
        "totalAssertions": 97,
        "failedAssertions": 1,
        "durationMs": 13334
      },
      "performance": {
        "minResponseMs": 327.5639169999995,
        "maxResponseMs": 2275.2597920000003
      }
    }
  ]
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/ci-runs"

querystring = {"systemEnvironmentId":"23b554c1-c30c-483d-bf98-dbe9ab7b88a0"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/ci-runs?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/ci-runs?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/ci-runs?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/ci-runs?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/ci-runs?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/ci-runs?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/ci-runs?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```